<?php  
	include "conexion.php";
	include "insertar_log.php";
	$id_aplicacion = "0";

	$datos = " Ingresa a obtener_bancos ";	
		insertarLog($datos,$id_aplicacion);

	$sentencia = $conexion->prepare("SELECT valor FROM parametros where id_parametro='app_bancos' ");
	$sentencia->execute();

	$resultado = $sentencia->get_result();
	$app_bancos="";
	$array_bancos = array();

	while($fila = $resultado->fetch_assoc())
	{
		$app_bancos=$fila['valor'];
	}

	$sentencia->close();

	if($app_bancos!="")
	{

		$array = explode(',', $app_bancos);
		$app_bancos="";

		$cont=0;
		for($i=0;$i<sizeof($array);$i++)
		{
			$banco['nombre'] = $array[$i];
			$array_bancos[$cont] = $banco;
			$cont++;
		}
	}
	
	$datos = " Se obtuvieron los bancos. ";	
		insertarLog($datos,$id_aplicacion);
		
	echo response(0,"OK",$array_bancos);
	$conexion->close();


	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}

?>